class ApplicationController < ActionController::Base
  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  protect_from_forgery with: :null_session
  helper_method :current_user

  def current_user
    if id = session[:user_id]
      @current_user ||= User.find(id)
    else
      nil
    end
  end
end
