# -*- coding: utf-8 -*-
class User < ActiveRecord::Base
  extend FriendlyId
  friendly_id :slug_candidates, use: [:slugged, :history]

  # def normalize_friendly_id(string)
  #   string.split(/\s+/).join('-')
  #   # Rack::Utils.escape(string).gsub(/\%/, '__')
  # end

  def slug_candidates
    [
      :name,
      [:name, :email]
    ]
  end
end
